Subject: Ticket Assigned - Delivery
From: Splash <[email-masked]>
To: [email-masked]
Date: Tue, 24 May 2022 13:35:34 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Despite your email  order 9566056899 was not delivered. 

You said you delivered but then told me to check with neighbour! Which neighbour? 

You said you called me. No one called me. Show me proof you called my mobile and I spoke with ur courier. 

U said you delivered but my security camera shows no body came to my home yesterday. 

So where is my delivery? If I do not recieve it, you will need to give me the name of courier so I can file police report. There is something not right. 

If your courier delivered to wrong address then he should go back there to where he delivered and bring my my items which I paid for. 

Are u expecting me to knock on every door in Dubai to find the package???? How do I know the courier didn’t take my things? 

I am waiting for the truth about what happened to my delivery…. And I am waiting to recieve it. 

I will also now want to make official complaint about this. How do I do that? https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4193550